%global commit 81d3bc5f9daf32e3cc6829e7c6b6964cd560b7bc
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-sisu
Version:        0.15.0
Release:        0.11.git%{shortcommit}%{?dist}
Summary:        M2E Sisu connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-sisu/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-sisu/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

# Add support for Eclipse Sisu
# From https://github.com/tesla/m2eclipse-sisu/pull/1
Patch0:         0001-Add-lifecycle-mapping-for-Eclipse-Sisu.patch

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.equinox.common)
BuildRequires:  osgi(org.eclipse.equinox.registry)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)

Enhances:       eclipse-m2e-core

%description
This package provides Sisu connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-sisu-%{commit}
%patch0 -p1
find -name *.jar -delete

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.sisu.feature/license.html

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.11.git81d3bc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.10.git81d3bc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.9.git81d3bc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.8.git81d3bc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.7.git81d3bc5
- Add Enhances: eclipse-m2e-core

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.15.0-0.6.git81d3bc5
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.5.git81d3bc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 11 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.4.git81d3bc5
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.3.git81d3bc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 30 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.2.git81d3bc5
- Add support for Eclipse Sisu

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.1.git81d3bc5
- Initial commit
